Documentation
Login / Sign Up
GET
https://api.secapi.dev/v1/entities
API key:

List entities

Returns SEC entities with pagination and the normalized filters used for the query.

Parameters

pageinteger
limitinteger
cikstring
tickerstring
entityTypestring
qstring
Example
  1{  2  "data": [  3    {  4      "name": "Apple Inc.",  5      "cik": "0000320193",  6      "ticker": "AAPL",  7      "entityType": "company",  8      "tickers": [  9        "" 10      ], 11      "exchanges": [ 12        "" 13      ], 14      "sic": 3571, 15      "sicDescription": "ELECTRONIC COMPUTERS", 16      "ownerOrg": "", 17      "insiderTransactionForOwnerExists": false, 18      "insiderTransactionForIssuerExists": false, 19      "ein": 942404110, 20      "lei": "", 21      "description": "", 22      "website": "", 23      "investorWebsite": "", 24      "category": "", 25      "fiscalYearEnd": "0928", 26      "stateOfIncorporation": "CA", 27      "stateOfIncorporationDescription": "CALIFORNIA", 28      "phone": "", 29      "formerNames": [ 30        "" 31      ], 32      "mailingAddress": { 33        "street1": "", 34        "street2": "", 35        "city": "", 36        "stateOrCountry": "", 37        "zipCode": "", 38        "stateOrCountryDescription": "", 39        "foreignLocation": false, 40        "foreignStateTerritory": "", 41        "country": "", 42        "countryCode": "" 43      }, 44      "businessAddress": { 45        "street1": "", 46        "street2": "", 47        "city": "", 48        "stateOrCountry": "", 49        "zipCode": "", 50        "stateOrCountryDescription": "", 51        "foreignLocation": false, 52        "foreignStateTerritory": "", 53        "country": "", 54        "countryCode": "" 55      } 56    } 57  ], 58  "pagination": { 59    "page": 1, 60    "limit": 20, 61    "hasMoreData": true 62  }, 63  "filters": { 64    "cik": "0000320193", 65    "ticker": "AAPL", 66    "entityType": "company", 67    "q": "Apple" 68  } 69}